<?php
include '../system/bd.php';
include '../system/cook.php';
include ("../system/gzip.php");
if(isset($_SESSION['auth']) && $_SESSION['auth']==1){
include '../system/head.php';
switch($_GET[mod]){
default:



$req = mysql_query("SELECT * FROM `clans` WHERE `leader` = '$user[id]'");
$lider=mysql_num_rows($req);

if($user[clan_prava] == 'leader'){
echo' <div class="empty_block item_center"> Лидеры не могут покинуть клан! </div>';

echo'<div class="block_link">';
echo"<a href='../clan/clan.php'> <img src ='../img/images/arrow.png'> Вернуться</a></div>";
include '../system/foot.php';
exit;
}

if($user[id]!==$_GET[usr]){
echo"<div class='title'> Ошибка</div>";
echo' <div class="empty_block item_center"> Вы не состоите в банде! </div>';
echo'<div class="block_link">';
echo"<a href='../index.php'> <img src ='../img/images/arrow.png'> Вернуться</a></div>"; 
include '../system/foot.php';
exit;
}

if(empty($user[clan])){
echo' </div> 
</div> <div class="title">Ошибка</div>
<div class="empty_block item_center"> Вы не состоите в банде! </div>';
echo'<div class="block_link">';
echo"<a href='../index.php'> <img src ='../img/images/arrow.png'> Вернуться</a></div>";
include '../system/foot.php';
exit;
}

$req = mysql_query("SELECT * FROM `user` WHERE `id` = '".mysql_real_escape_string($_GET['usr'])."' LIMIT 1");
// //////////////////////////
$avto = mysql_num_rows($req);
if ($avto == 1) {

if(isset($_GET['ask'])){
 echo' <div class="title"> Выход
</div> <div class="empty_block item_center"> Вы действительно хотите покинуть клан? </div> ';


echo ' <div class="block_link">
 <table width="100%" border="0" cellpadding="0" cellspacing="0" style="color:#E5CBB7">
<tbody>
<tr>
<td align="center" width="50%"><a href="exit.php?usr='.$user[id].'">
Да</a></td> 

<td align="center"><a href="clan.php">Нет</a>
</td></tr></tbody></table></div>';

}else{
$dater= time();
$n2='Персонаж <a href=\"../users.php?id='.$user[id].'\">'.$user[login].'</a> покинул банду!';
mysql_query("INSERT INTO `clans_journal` SET `clan` = '$user[clan]', `msg` = '$n2', `time` = '$dater'");  
   echo' <div class="title"> Выход
</div> <div class="empty_block item_center"> Вы покинули клан </div> ';



mysql_query("UPDATE `user` SET `clan` = '0',
`clan_exp` = '0',
`clan_prava` = 'no'

WHERE `id` = '".mysql_real_escape_string($_GET['usr'])."'");


}
}

}
}else{
header ("Location: index.php"); exit;
}
include '../system/foot.php';
?>
